> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notion Pages

> Retrieves Notion pages based on the provided authorization token.

Args:
    x_notion_authorization (str): The authorization token for accessing Notion API.

Returns:
    dict: A dictionary containing the response from the Notion API.



## OpenAPI

````yaml post /v1/notion/pages
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/notion/pages:
    post:
      tags:
        - notion
      summary: Get Notion Pages
      description: |-
        Retrieves Notion pages based on the provided authorization token.

        Args:
            x_notion_authorization (str): The authorization token for accessing Notion API.

        Returns:
            dict: A dictionary containing the response from the Notion API.
      operationId: get_notion_pages_v1_notion_pages_post
      parameters:
        - required: true
          schema:
            type: string
            title: X-Notion-Authorization
          name: x-notion-authorization
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: Response Get Notion Pages V1 Notion Pages Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````